summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-06-07 19:18:20 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-06-07 19:18:36 +0200
commit2fb79a4076772020c18be0215abb7a430ac12b3b (patch)
tree02e6972566d0e4e18611dfd81121657a95919e66 /kde-apps/ktp-text-ui
parentdev-libs/libinput: Restore version 1.10.6 (diff)
downloadgentoo-2fb79a4076772020c18be0215abb7a430ac12b3b.tar.gz
gentoo-2fb79a4076772020c18be0215abb7a430ac12b3b.tar.bz2
gentoo-2fb79a4076772020c18be0215abb7a430ac12b3b.zip
kde-apps: Add KDE Applications 18.04.2
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'kde-apps/ktp-text-ui')
-rw-r--r--kde-apps/ktp-text-ui/Manifest1
-rw-r--r--kde-apps/ktp-text-ui/ktp-text-ui-18.04.2.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/kde-apps/ktp-text-ui/Manifest b/kde-apps/ktp-text-ui/Manifest
index d6e48c71f1c..444220ea8b1 100644
--- a/kde-apps/ktp-text-ui/Manifest
+++ b/kde-apps/ktp-text-ui/Manifest
@@ -1,2 +1,3 @@
DIST ktp-text-ui-17.12.3.tar.xz 468592 BLAKE2B d4a4aadce200e67f40ec16382902f386ff06bc14bcbc0b91fd7ad0193eaf31e9bf7b1e8fefdf80dbf1cbd6e3e100a61fefcfcf1a67d4dd578f2191760877519b SHA512 2ae0dbfac8f23e478cf208be610cb2d5b73648b1bda43af75f4fa33dcbdb00a5342a19c4b2b6cd8c5a59a07ec6ca3a8d3d8d95cbc42d24c4b74ff40ee22b427f
DIST ktp-text-ui-18.04.1.tar.xz 469716 BLAKE2B 9c29b03ea734f7f7bcb616f57fca6385d7860ec7780e9a5a7d7e940720056a5861eeff0562f8940af22229f6671017a82b3e16af7d5c37d8e4becd4f011ab8fc SHA512 4e35f6383e990e4941c1bade47f4e0044b740e7f35fa226bd96ea77395836bd883710d751b2901cdd11e8b453be42812827c5a299d37efcba4c6fee31b50413a
+DIST ktp-text-ui-18.04.2.tar.xz 469676 BLAKE2B ddf66e51bb1835e9d0acb531518baae84107be90db350c93ebeea59bb884c63591f187a401c2c6eebc857d29d73256aa793dd7fb3821c133271b4f191cbf2370 SHA512 1c23b7967370e367f453b02a51d43ba0a79e5b6ccdffb2eb6ac7f9d04f2cd01ef9aa9e5566fee7ea188c1c5fd294c25764cebf91517954b704c08dde32ff9ae0
diff --git a/kde-apps/ktp-text-ui/ktp-text-ui-18.04.2.ebuild b/kde-apps/ktp-text-ui/ktp-text-ui-18.04.2.ebuild
new file mode 100644
index 00000000000..d8d73763289
--- /dev/null
+++ b/kde-apps/ktp-text-ui/ktp-text-ui-18.04.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="KDE Telepathy text chat window"
+HOMEPAGE="https://community.kde.org/Real-Time_Communication_and_Collaboration"
+
+LICENSE="Apache-2.0 || ( AFL-2.1 BSD ) GPL-2+ LGPL-2.1+ MIT"
+KEYWORDS="~amd64 ~x86"
+IUSE="speech"
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kdewebkit)
+ $(add_frameworks_dep kemoticons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep knotifyconfig)
+ $(add_frameworks_dep kpeople)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep sonnet)
+ $(add_kdeapps_dep ktp-common-internals otr)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwebengine 'widgets')
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ net-libs/telepathy-qt[qt5(+)]
+ speech? ( $(add_qt_dep qtspeech) )
+"
+RDEPEND="${DEPEND}
+ $(add_kdeapps_dep ktp-contact-list)
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package speech Qt5TextToSpeech)
+ )
+
+ kde5_src_configure
+}